/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill   *
 *   jkerrb@shaw.ca   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KDARCONTROLLERFACTORY_H_
#define _KDARCONTROLLERFACTORY_H_

#include <qobject.h>
#include <klibloader.h>

class QStringList;

class KDarControllerFactory : public KLibFactory
{
    Q_OBJECT
public:
    KDarControllerFactory();
    virtual ~KDarControllerFactory();
    virtual QObject* createObject( QObject* parent, const char* name, const char* classname, const QStringList & args );
};

#endif // _KDARCONTROLLERFACTORY_H_
