/***************************************************************************
 *   Copyright (C) 2005 by Johnathan Burchill                              *
 *   jkerrb@sourceforge.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDARPARTKDARLOG_H
#define KDARPARTKDARLOG_H

#include <qwidget.h>

class KPrinter;
class KTextEdit;

class QPaintDeviceMetrics;
class QPainter;
/**
@author Johnathan Burchill
*/
class KDarLog : public QWidget
{
    Q_OBJECT
public:
    KDarLog( QWidget* parent = 0, const char* name = 0 );

    ~KDarLog();

    /**
     * Add text to the log window.
     */
    void append( const QString & );
    /**
     * Clear the contents of the log window.
     */
    void clear();
   /**
     * Print the contents of the log window
     */
    void print( KPrinter* printer = 0 );

private:
    KTextEdit* m_log;

};

#endif
